/*
 File: sp_2.cpp
 Date and Time: Fri Jan 30 18:50:21 2015 
*/
#include "sp_2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_sp_2;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Csp_2::
  Csp_2()
    :yacco2::CAbs_fsm
      ("sp_2.lex"
      ,"1.0"
      ,"7 mar 2014"
      ,false
      ,"Test out Spector LR(1) resolution page 61."
      ,"Fri Jan 30 18:50:21 2015 "
      ,S1_Csp_2){
    
  }
 
Csp_2::~Csp_2(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Csp_2::failed(){
      return false;
  }
  void Csp_2::op(){
}
int Csp_2::rhs_to_rules_mapping_[8] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,2 // subrule 6 for rule 3
 ,3 // subrule 7 for rule 4
}; 
Rg::Rg(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rg",0,Csp_2::R_Rg_,P,false,false){
}

Rs::Rs(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rs",0,Csp_2::R_Rs_,P,false,false){
}

Ra::Ra(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Ra",0,Csp_2::R_Ra_,P,false,false){
}

Rb::Rb(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rb",0,Csp_2::R_Rb_,P,false,false){
}

